Bug 825425 - FTBFS: failing test with HTML comments with python 2.7.3 (FIXED)
FTBFS: failing test with HTML comments with python 2.7.3 (FIXED)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-django (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-26 03:02 EDT by Matěj Cepl
Modified: 2012-06-13 17:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-13 17:30:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
suggested patch (1.08 KB, patch)
2012-05-26 03:02 EDT, Matěj Cepl
no flags Details | Diff
suggested patch on .spec file (1.62 KB, patch)
2012-05-26 03:07 EDT, Matěj Cepl
no flags Details | Diff

  None (edit)
Description Matěj Cepl 2012-05-26 03:02:41 EDT
Created attachment 586979 [details]
suggested patch

Description of problem:
See https://code.djangoproject.com/ticket/18027

Version-Release number of selected component (if applicable):
python-django-1.4-3

How reproducible:
100%

Steps to Reproduce:
1.rpmbuild --rebuild python-django-1.4-3.fc18.src.rpm 
2.
3.
  
Actual results:
see above upstream bug. One regressiontests.test_utils.tests.HTMLEqualTests fails

Expected results:
no test fails

Additional info:
See attached patch extracted from the upstream git (https://github.com/django/django/commit/5a4d7e63ce).
Comment 1 Matěj Cepl 2012-05-26 03:07:16 EDT
Created attachment 586980 [details]
suggested patch on .spec file

I don't know how to make if sys.version_info[:3] >= (2,7,3) in .spec file.
Comment 2 Matthias Runge 2012-05-30 15:44:51 EDT
ok, thank you for the heads up, python-django-1.4-4 built (in rawhide, of course).
Comment 3 Fedora Update System 2012-05-30 16:45:47 EDT
Django-1.4-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/Django-1.4-3.fc17
Comment 4 Fedora Update System 2012-06-01 12:54:08 EDT
Package Django-1.4-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing Django-1.4-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8681/Django-1.4-3.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-06-13 17:30:54 EDT
Django-1.4-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.